Bug 203769

Summary: Port FontFaceSet to the HTML5 event loop
Product: WebKit Reporter: Chris Dumez <cdumez>
Component: TextAssignee: Chris Dumez <cdumez>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, ap, commit-queue, dbates, esprehn+autocc, ews-watchlist, ggaren, glenn, gyuyoung.kim, kangil.han, macpherson, menard, mmaxfield, rniwa, ross.kirsling, sam, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 202843    
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Chris Dumez 2019-11-01 15:54:06 PDT
Port FontFaceSet to the HTML5 event loop.
Comment 1 Chris Dumez 2019-11-01 16:07:30 PDT
Created attachment 382644 [details]
Patch
Comment 2 Sam Weinig 2019-11-02 19:45:54 PDT
Comment on attachment 382644 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=382644&action=review

> Source/WebCore/css/FontFaceSet.cpp:-204
> -        m_taskQueue->enqueueTask([this] {

What is the reason for not removing m_taskQueue completely? It looks like it is now just created and then nothing is done with it.
Comment 3 Chris Dumez 2019-11-02 19:54:53 PDT
(In reply to Sam Weinig from comment #2)
> Comment on attachment 382644 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=382644&action=review
> 
> > Source/WebCore/css/FontFaceSet.cpp:-204
> > -        m_taskQueue->enqueueTask([this] {
> 
> What is the reason for not removing m_taskQueue completely? It looks like it
> is now just created and then nothing is done with it.

It sounds like I forgot? I wrote this during the contributor meeting :P will fix.
Comment 4 Chris Dumez 2019-11-02 20:02:42 PDT
Created attachment 382688 [details]
Patch
Comment 5 Alexey Proskuryakov 2019-11-03 11:21:17 PST
We’re having some troubles with iOS EWS now, but for event loop changes, it’s probably worth waiting until those are cleared! Please also check detailed results from the testers, as EWS logic tends to swipe flaky tests under the carpet.
Comment 6 Chris Dumez 2019-11-03 12:26:29 PST
Created attachment 382710 [details]
Patch
Comment 7 WebKit Commit Bot 2019-11-04 14:57:58 PST
Comment on attachment 382710 [details]
Patch

Clearing flags on attachment: 382710

Committed r252016: <https://trac.webkit.org/changeset/252016>
Comment 8 WebKit Commit Bot 2019-11-04 14:58:00 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2019-11-04 14:58:33 PST
<rdar://problem/56881893>
Comment 10 Ross Kirsling 2019-11-04 16:07:47 PST
This broke WinCairo, as demonstrated by EWS.
Comment 11 Chris Dumez 2019-11-04 18:55:31 PST
(In reply to Ross Kirsling from comment #10)
> This broke WinCairo, as demonstrated by EWS.

Sorry, was fixed later in https://trac.webkit.org/changeset/252028/webkit.